class Objects {
    constructor(nodes) {
        this.container = [];
        nodes.forEach(node => { this.container[node.index] = { value: null, tree: node.tree }; });
    }
}
const handler = {
    get: function (target, key) {
        function matches(tree, value) {
            if (value) {
                try {
                    if (tree.includes(value.constructor.name)) {
                        return true;
                    }
                }
                catch (e) { }
            }
            return false;
        }
        if (target.container.hasOwnProperty(key) && target.container[key]) {
            if (matches(target.container[key].tree, target.container[key].value)) {
                return target.container[key].value;
            }
            else {
                const match = target.container.find(n => matches(target.container[key].tree, n.value));
                if (match) {
                    return match.value;
                }
                return target.container[key].value;
            }
        }
    },
    set: function (target, key, value) {
        if (key !== 'container') {
            target.container[key].value = value;
        }
    }
};
//# sourceMappingURL=dynamic.js.map
const nodes = [
{"index":"0","tree":["Window"]},
{"index":"1","tree":["HTMLDocument"]},
{"index":"2","tree":["HTMLHtmlElement"]},
{"index":"3","tree":["AudioContext"]},
{"index":"4","tree":["MediaElementAudioSourceNode"]},
{"index":"5","tree":["HTMLAudioElement"]},
{"index":"6","tree":["MediaElementAudioSourceNode"]},
{"index":"7","tree":["AudioListener"]},
{"index":"8","tree":["MediaElementAudioSourceNode"]},
{"index":"9","tree":["MediaStream","CanvasCaptureMediaStream"]},
{"index":"10","tree":["RTCTrackEvent"]},
{"index":"11","tree":["RTCTrackEvent"]},
{"index":"12","tree":["RTCTrackEvent"]},
{"index":"13","tree":["RTCTrackEvent"]},
{"index":"14","tree":["ImageCapture"]},
{"index":"15","tree":["MediaStreamTrackEvent"]},
{"index":"16","tree":["RTCTrackEvent"]},
{"index":"17","tree":["ImageCapture"]},
{"index":"18","tree":["RTCTrackEvent"]},
{"index":"19","tree":["RTCTrackEvent"]},
{"index":"20","tree":["MediaStreamTrackEvent"]},
{"index":"21","tree":["RTCTrackEvent"]},
{"index":"22","tree":["MediaStreamTrackEvent"]},
{"index":"23","tree":["RTCTrackEvent"]},
{"index":"24","tree":["RTCTrackEvent"]},
{"index":"25","tree":["ImageCapture"]},
{"index":"26","tree":["RTCTrackEvent"]},
{"index":"27","tree":["RTCTrackEvent"]},
{"index":"28","tree":["MediaStream","CanvasCaptureMediaStream"]},
{"index":"29","tree":["MediaStreamAudioSourceNode"]},
{"index":"30","tree":["BiquadFilterNode"]},
{"index":"31","tree":["AudioParam"]},
{"index":"32","tree":["MediaKeys"]},
{"index":"33","tree":["RTCTrackEvent"]},
{"index":"34","tree":["RTCTrackEvent"]},
{"index":"35","tree":["MediaStreamTrack"]},
{"index":"36","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"37","tree":["MediaStreamAudioDestinationNode"]},
{"index":"38","tree":["AudioParam"]},
{"index":"39","tree":["MediaElementAudioSourceNode"]},
{"index":"40","tree":["IIRFilterNode"]},
{"index":"41","tree":["ConstantSourceNode"]},
{"index":"42","tree":["DynamicsCompressorNode"]},
{"index":"43","tree":["DynamicsCompressorNode"]},
{"index":"44","tree":["OscillatorNode"]},
{"index":"45","tree":["AudioBuffer"]},
{"index":"46","tree":["MediaElementAudioSourceNode"]},
{"index":"47","tree":["PannerNode"]},
{"index":"48","tree":["WaveShaperNode"]},
{"index":"49","tree":["Float32Array"]},
{"index":"50","tree":["Float32Array"]},
{"index":"51","tree":["PeriodicWave"]},
{"index":"52","tree":["BiquadFilterNode"]},
{"index":"53","tree":["ChannelSplitterNode"]},
{"index":"54","tree":["Function"]},
{"index":"55","tree":["MediaStreamAudioSourceNode"]},
{"index":"56","tree":["XMLHttpRequest"]},
{"index":"57","tree":["ArrayBuffer"]},
{"index":"58","tree":["Uint8Array"]},
{"index":"59","tree":["Function"]},
{"index":"60","tree":["Float32Array"]},
{"index":"61","tree":["Float32Array"]},
{"index":"62","tree":["ArrayBuffer"]},
{"index":"63","tree":["Float32Array"]},
{"index":"64","tree":["Function"]},
{"index":"65","tree":["IDBFactory"]},
{"index":"66","tree":["IDBOpenDBRequest"]},
{"index":"67","tree":["AudioBuffer"]},
{"index":"68","tree":["AudioBufferSourceNode"]},
{"index":"69","tree":["ChannelMergerNode"]},
{"index":"70","tree":["PannerNode"]},
{"index":"71","tree":["AudioBuffer"]},
{"index":"72","tree":["BiquadFilterNode"]},
{"index":"73","tree":["AnalyserNode"]},
{"index":"74","tree":["AudioListener"]},
{"index":"75","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"76","tree":["MediaStreamAudioSourceNode"]},
{"index":"77","tree":["AudioBufferSourceNode"]},
{"index":"78","tree":["DelayNode"]},
{"index":"79","tree":["ChannelMergerNode"]},
{"index":"80","tree":["AudioBuffer"]},
{"index":"81","tree":["Float32Array"]},
{"index":"82","tree":["ArrayBuffer"]},
{"index":"83","tree":["Float32Array"]},
{"index":"84","tree":["ArrayBuffer"]},
{"index":"85","tree":["Float32Array"]},
{"index":"86","tree":["AudioBuffer"]},
{"index":"87","tree":["ConstantSourceNode"]},
{"index":"88","tree":["MediaStreamAudioDestinationNode"]},
{"index":"89","tree":["MediaStreamAudioSourceNode"]},
{"index":"90","tree":["Float32Array"]},
{"index":"91","tree":["WaveShaperNode"]},
{"index":"92","tree":["MediaStreamAudioSourceNode"]},
{"index":"93","tree":["AudioBufferSourceNode"]},
{"index":"94","tree":["StereoPannerNode"]},
{"index":"95","tree":["MediaElementAudioSourceNode"]},
{"index":"96","tree":["OscillatorNode"]},
{"index":"97","tree":["AudioBufferSourceNode"]},
{"index":"98","tree":["XMLHttpRequest"]},
{"index":"99","tree":["ArrayBuffer"]},
{"index":"100","tree":["Uint8Array"]},
{"index":"101","tree":["Function"]},
{"index":"102","tree":["Float32Array"]},
{"index":"103","tree":["ArrayBuffer"]},
{"index":"104","tree":["Float32Array"]},
{"index":"105","tree":["Float32Array"]},
{"index":"106","tree":["ArrayBuffer"]},
{"index":"107","tree":["Function"]},
{"index":"108","tree":["OscillatorNode"]},
{"index":"109","tree":["Float32Array"]},
{"index":"110","tree":["ArrayBuffer"]},
{"index":"111","tree":["ScriptProcessorNode"]},
{"index":"112","tree":["OscillatorNode"]},
{"index":"113","tree":["DelayNode"]},
{"index":"114","tree":["MediaStreamAudioSourceNode"]},
{"index":"115","tree":["AudioListener"]},
{"index":"116","tree":["Element","HTMLAnchorElement","HTMLAreaElement","HTMLAudioElement","HTMLBRElement","HTMLBaseElement","HTMLBodyElement","HTMLButtonElement","HTMLCanvasElement","HTMLDListElement","HTMLDataElement","HTMLDataListElement","HTMLDetailsElement","HTMLDialogElement","HTMLDirectoryElement","HTMLDivElement","HTMLElement","HTMLUnknownElement","HTMLEmbedElement","HTMLFieldSetElement","HTMLFontElement","HTMLFormElement","HTMLFrameElement","HTMLFrameSetElement","HTMLHRElement","HTMLHeadElement","HTMLHeadingElement","HTMLHtmlElement","HTMLIFrameElement","HTMLImageElement","HTMLInputElement","HTMLLIElement","HTMLLabelElement","HTMLLegendElement","HTMLLinkElement","HTMLMapElement","HTMLMarqueeElement","HTMLMediaElement","HTMLMenuElement","HTMLMenuItemElement","HTMLMetaElement","HTMLMeterElement","HTMLModElement","HTMLOListElement","HTMLObjectElement","HTMLOptGroupElement","HTMLOptionElement","HTMLOutputElement","HTMLParagraphElement","HTMLParamElement","HTMLPictureElement","HTMLPreElement","HTMLProgressElement","HTMLQuoteElement","HTMLScriptElement","HTMLSelectElement","HTMLSlotElement","HTMLSourceElement","HTMLSpanElement","HTMLStyleElement","HTMLTableCaptionElement","HTMLTableCellElement","HTMLTableColElement","HTMLTableElement","HTMLTableRowElement","HTMLTableSectionElement","HTMLTemplateElement","HTMLTextAreaElement","HTMLTimeElement","HTMLTitleElement","HTMLTrackElement","HTMLUListElement","HTMLVideoElement","MathMLElement","SVGAElement","SVGAnimateElement","SVGAnimateMotionElement","SVGAnimateTransformElement","SVGAnimationElement","SVGCircleElement","SVGClipPathElement","SVGComponentTransferFunctionElement","SVGDefsElement","SVGDescElement","SVGElement","SVGEllipseElement","SVGFEBlendElement","SVGFEColorMatrixElement","SVGFEComponentTransferElement","SVGFECompositeElement","SVGFEConvolveMatrixElement","SVGFEDiffuseLightingElement","SVGFEDisplacementMapElement","SVGFEDistantLightElement","SVGFEDropShadowElement","SVGFEFloodElement","SVGFEFuncAElement","SVGFEFuncBElement","SVGFEFuncGElement","SVGFEFuncRElement","SVGFEGaussianBlurElement","SVGFEImageElement","SVGFEMergeElement","SVGFEMergeNodeElement","SVGFEMorphologyElement","SVGFEOffsetElement","SVGFEPointLightElement","SVGFESpecularLightingElement","SVGFESpotLightElement","SVGFETileElement","SVGFETurbulenceElement","SVGFilterElement","SVGForeignObjectElement","SVGGElement","SVGGeometryElement","SVGGradientElement","SVGGraphicsElement","SVGImageElement","SVGLineElement","SVGLinearGradientElement","SVGMPathElement","SVGMarkerElement","SVGMaskElement","SVGMetadataElement","SVGPathElement","SVGPatternElement","SVGPolygonElement","SVGPolylineElement","SVGRadialGradientElement","SVGRectElement","SVGSVGElement","SVGScriptElement","SVGSetElement","SVGStopElement","SVGStyleElement","SVGSwitchElement","SVGSymbolElement","SVGTSpanElement","SVGTextContentElement","SVGTextElement","SVGTextPathElement","SVGTextPositioningElement","SVGTitleElement","SVGUseElement","SVGViewElement"]},
{"index":"117","tree":["ConvolverNode"]},
{"index":"118","tree":["MediaElementAudioSourceNode"]},
{"index":"119","tree":["AudioDestinationNode"]},
{"index":"120","tree":["ChannelMergerNode"]},
{"index":"121","tree":["AudioBuffer"]},
{"index":"122","tree":["MediaStreamAudioSourceNode"]},
{"index":"123","tree":["MediaStreamAudioDestinationNode"]},
{"index":"124","tree":["WaveShaperNode"]},
{"index":"125","tree":["AudioDestinationNode"]},
{"index":"126","tree":["MediaElementAudioSourceNode"]},
{"index":"127","tree":["DelayNode"]},
{"index":"128","tree":["IIRFilterNode"]},
{"index":"129","tree":["WaveShaperNode"]},
{"index":"130","tree":["MediaStreamAudioSourceNode"]},
{"index":"131","tree":["ConstantSourceNode"]},
{"index":"132","tree":["PannerNode"]},
{"index":"133","tree":["AudioBufferSourceNode"]},
{"index":"134","tree":["ChannelSplitterNode"]},
{"index":"135","tree":["AudioBufferSourceNode"]},
{"index":"136","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"137","tree":["DynamicsCompressorNode"]},
{"index":"138","tree":["DelayNode"]},
{"index":"139","tree":["WaveShaperNode"]},
{"index":"140","tree":["AudioBuffer"]},
{"index":"141","tree":["XMLHttpRequest"]},
{"index":"142","tree":["ArrayBuffer"]},
{"index":"143","tree":["Uint8Array"]},
{"index":"144","tree":["Function"]},
{"index":"145","tree":["Float32Array"]},
{"index":"146","tree":["Function"]},
{"index":"147","tree":["DelayNode"]},
{"index":"148","tree":["MediaElementAudioSourceNode"]},
{"index":"149","tree":["XMLHttpRequest"]},
{"index":"150","tree":["ArrayBuffer"]},
{"index":"151","tree":["Uint8Array"]},
{"index":"152","tree":["Function"]},
{"index":"153","tree":["Float32Array"]},
{"index":"154","tree":["Float32Array"]},
{"index":"155","tree":["ArrayBuffer"]},
{"index":"156","tree":["Function"]},
{"index":"157","tree":["GainNode"]},
{"index":"158","tree":["AudioBufferSourceNode"]},
{"index":"159","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"160","tree":["PannerNode"]},
{"index":"161","tree":["Float32Array"]},
{"index":"162","tree":["Float32Array"]},
{"index":"163","tree":["PeriodicWave"]},
{"index":"164","tree":["IIRFilterNode"]},
{"index":"165","tree":["ConstantSourceNode"]},
{"index":"166","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"167","tree":["GainNode"]},
{"index":"168","tree":["DelayNode"]},
{"index":"169","tree":["OscillatorNode"]},
{"index":"170","tree":["BaseAudioContext","AudioContext","OfflineAudioContext"]},
{"index":"171","tree":["DelayNode"]},
{"index":"172","tree":["OscillatorNode"]},
{"index":"173","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"174","tree":["GainNode"]},
{"index":"175","tree":["IIRFilterNode"]},
{"index":"176","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"177","tree":["AnalyserNode"]},
{"index":"178","tree":["WaveShaperNode"]},
{"index":"179","tree":["GainNode"]},
{"index":"180","tree":["WaveShaperNode"]},
{"index":"181","tree":["OscillatorNode"]},
{"index":"182","tree":["DelayNode"]},
{"index":"183","tree":["MediaKeySession"]},
{"index":"184","tree":["AnalyserNode"]},
{"index":"185","tree":["AudioBuffer"]},
{"index":"186","tree":["WaveShaperNode"]},
{"index":"187","tree":["ConstantSourceNode"]},
{"index":"188","tree":["DynamicsCompressorNode"]},
{"index":"189","tree":["PannerNode"]},
{"index":"190","tree":["AnalyserNode"]},
{"index":"191","tree":["Float32Array"]},
{"index":"192","tree":["Float32Array"]},
{"index":"193","tree":["ArrayBuffer"]},
{"index":"194","tree":["PeriodicWave"]},
{"index":"195","tree":["ConvolverNode"]},
{"index":"196","tree":["AudioWorklet"]},
{"index":"197","tree":["MediaElementAudioSourceNode"]},
{"index":"198","tree":["XMLHttpRequest"]},
{"index":"199","tree":["ArrayBuffer"]},
{"index":"200","tree":["Uint8Array"]},
{"index":"201","tree":["Function"]},
{"index":"202","tree":["Function"]},
{"index":"203","tree":["ScriptProcessorNode"]},
{"index":"204","tree":["ConstantSourceNode"]},
{"index":"205","tree":["ChannelSplitterNode"]},
{"index":"206","tree":["Float32Array"]},
{"index":"207","tree":["ScriptProcessorNode"]},
{"index":"208","tree":["ConstantSourceNode"]},
{"index":"209","tree":["ChannelSplitterNode"]},
{"index":"210","tree":["XMLHttpRequest"]},
{"index":"211","tree":["ArrayBuffer"]},
{"index":"212","tree":["Uint8Array"]},
{"index":"213","tree":["Function"]},
{"index":"214","tree":["Float32Array"]},
{"index":"215","tree":["ArrayBuffer"]},
{"index":"216","tree":["Float32Array"]},
{"index":"217","tree":["Float32Array"]},
{"index":"218","tree":["ArrayBuffer"]},
{"index":"219","tree":["Float32Array"]},
{"index":"220","tree":["Function"]},
{"index":"221","tree":["GainNode"]},
{"index":"222","tree":["ChannelMergerNode"]},
{"index":"223","tree":["MediaStreamAudioDestinationNode"]},
{"index":"224","tree":["StereoPannerNode"]},
{"index":"225","tree":["MediaStreamAudioSourceNode"]},
{"index":"226","tree":["AudioBufferSourceNode"]},
{"index":"227","tree":["OscillatorNode"]},
{"index":"228","tree":["IIRFilterNode"]},
{"index":"229","tree":["AudioBuffer"]},
{"index":"230","tree":["MediaStreamAudioSourceNode"]},
{"index":"231","tree":["Float32Array"]},
{"index":"232","tree":["Float32Array"]},
{"index":"233","tree":["PeriodicWave"]},
{"index":"234","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"235","tree":["MediaStreamAudioDestinationNode"]},
{"index":"236","tree":["MediaElementAudioSourceNode"]},
{"index":"237","tree":["MediaStreamAudioSourceNode"]},
{"index":"238","tree":["MediaStreamAudioSourceNode"]},
{"index":"239","tree":["GainNode"]},
{"index":"240","tree":["ChannelMergerNode"]},
{"index":"241","tree":["StereoPannerNode"]},
{"index":"242","tree":["DynamicsCompressorNode"]},
{"index":"243","tree":["ScriptProcessorNode"]},
{"index":"244","tree":["DelayNode"]},
{"index":"245","tree":["DelayNode"]},
{"index":"246","tree":["MediaElementAudioSourceNode"]},
{"index":"247","tree":["AudioBuffer"]},
{"index":"248","tree":["MediaStreamAudioSourceNode"]},
{"index":"249","tree":["MediaStreamTrackAudioSourceNode"]},
{"index":"250","tree":["ScriptProcessorNode"]},
{"index":"251","tree":["IIRFilterNode"]},
{"index":"252","tree":["DynamicsCompressorNode"]},
{"index":"253","tree":["ChannelSplitterNode"]},
{"index":"254","tree":["AudioBuffer"]},
{"index":"255","tree":["BiquadFilterNode"]},
{"index":"256","tree":["AudioBuffer"]},
{"index":"257","tree":["BiquadFilterNode"]},
{"index":"258","tree":["ChannelSplitterNode"]},
{"index":"259","tree":["DynamicsCompressorNode"]},
{"index":"260","tree":["ChannelMergerNode"]},
{"index":"261","tree":["ConstantSourceNode"]},
{"index":"262","tree":["MediaStreamAudioDestinationNode"]},
{"index":"263","tree":["DelayNode"]},
]
var o6 = new Proxy(new Objects(nodes), handler)